Bug 164445

Summary: Plasma crashed at initial load
Product: plasma4 Reporter: x.para <x.para>
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED DUPLICATE    
Severity: crash CC: jasonbstubbs, mail
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: plasma-appletsrc

Description x.para 2008-06-19 14:09:22 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          i686-pc-linux-gnu-4.2.3  
OS:                Linux

Plasma crashes regulary at initial load Using existing repository copy at revision 822162.

Application: Plasma Workspace (plasma), signal SIGFPE
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb470fb00 (LWP 18971)]
[New Thread 0xb17f8b90 (LWP 18973)]
[New Thread 0xb303eb90 (LWP 18972)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
[Current thread is 0 (LWP 18971)]

Thread 3 (Thread 0xb303eb90 (LWP 18972)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb6478566 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb64d2b42 in QWaitCondition::wait () from /usr/lib/qt4/libQtCore.so.4
#3  0xb3105d5e in ?? ()
   from /usr/kde/svn/lib/kde4/plasma_containment_desktop.so

Thread 2 (Thread 0xb17f8b90 (LWP 18973)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb6478566 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb64d2b42 in QWaitCondition::wait () from /usr/lib/qt4/libQtCore.so.4
#3  0xb679cd28 in ?? () from /usr/lib/qt4/libQtNetwork.so.4
#4  0xb64d1cda in ?? () from /usr/lib/qt4/libQtCore.so.4
#5  0xb647417b in start_thread () from /lib/libpthread.so.0
#6  0xb587609e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb470fb00 (LWP 18971)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb5842866 in nanosleep () from /lib/libc.so.6
#2  0xb584268b in sleep () from /lib/libc.so.6
#3  0xb6cd031c in ?? () from /usr/kde/svn/lib/libkdeui.so.5
#4  0x00000001 in ?? ()
#5  0x00000000 in ?? ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 1 Bram Schoenmakers 2008-06-19 14:32:21 UTC
Please read http://techbase.kde.org/index.php?title=Development/Tutorials/Debugging/How_to_create_useful_crash_reports in order to improve this bug report, especially the backtrace. Thanks in advance.
Comment 2 x.para 2008-06-19 17:15:32 UTC
Hope it gets better picture.

gdb /usr/kde/svn/bin/plasma
GNU gdb 6.7.1                                 
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.           
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"   
and "show warranty" for details.                                             
This GDB was configured as "i686-pc-linux-gnu"...                            
(no debugging symbols found)                                                 
Using host libthread_db library "/lib/libthread_db.so.1".                    
(gdb) run                                                                    
Starting program: /usr/kde/svn/bin/plasma                                    
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
---Type <return> to continue, or q <return> to quit---                       
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
[Thread debugging using libthread_db enabled]                                
[New Thread 0xb46f4b00 (LWP 6497)]                                           
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
---Type <return> to continue, or q <return> to quit---                       
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
<unknown program name>(6497)/ checkComposite: Plasma has an argb visual 0x805e650 4194305
<unknown program name>(6497)/ checkComposite: Plasma can use COMPOSITE for effects on 0x8058858                                                                                     
plasma(6500) PlasmaApp::PlasmaApp: Setting the pixmap cache size to 9050 kilobytes        
plasma(6500) DefaultDesktop::reloadConfig: Using configured wallpaper "/usr/kde/svn/share/wallpapers/Curls_on_Green/contents/images/1440x900.jpg"                                   
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                                
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -44)                                                                                    
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                                
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -45)                                                                                    
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? true                                                                     
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                        
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? false                                                                    
plasma(6500)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                        
plasma(6500) Panel::constraintsEvent: constraints updated with 15 !!!!!!                  
plasma(6500) Panel::constraintsEvent: constraints updated with 2 !!!!!!                   
plasma(6500) SystemTray::updateWidgetGeometry: Problem view is NULL                       
plasma(6500) SystemTray::updateWidgetGeometry: Problem view is NULL                       
plasma(6500) PlasmaApp::createView: Containment name: "Desktop" | type 0 | screen: 0 | geometry: QRectF(0,0 1440x900) | zValue: 0                                                   
plasma(6500) PlasmaApp::createView: creating a view for 0 and we have 1 screens           
plasma(6500)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 1440x900) associated screen is 0                              
plasma(6500) HddTemp::updateData: "Protocol type not supported"                           
QLayout: Attempting to add QLayout "" to Plasma::Dialog "", which already has a layout    
X Error: BadWindow (invalid Window parameter) 3                                           
  Major opcode: 18 (X_ChangeProperty)                                                     
  Resource id:  0x400029                                                                  
plasma(6500) Clock::init: showTimezone: false                                             
plasma(6500) Panel::constraintsEvent: constraints updated with 32 !!!!!!                  
plasma(6500) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150                                                  
plasma(6500)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,-45 1440x39) associated screen is 0                             
plasma(6500) PanelView::PanelView: Panel geometry is QRectF(0,-45 1440x39)                
plasma(6500) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0                 
plasma(6500) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0                 
plasma(6500) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0                 
plasma(6500) SystemTrayContainer::embedSystemTrayClient: attempting to embed 35652051     

Program exited normally.
(gdb) Plasma crashed, attempting to automatically recover
KCrash: Application 'plasma' crashing...                 
sock_file=/home/ondrej3/.kde/socket-stable/kdeinit4__0   
<unknown program name>(6510)/ checkComposite: Plasma has an argb visual 0x805e650 23068673
<unknown program name>(6510)/ checkComposite: Plasma can use COMPOSITE for effects on 0x8058858                                                                                     
plasma(6512) PlasmaApp::PlasmaApp: Setting the pixmap cache size to 9050 kilobytes        
plasma(6512) DefaultDesktop::reloadConfig: Using configured wallpaper "/usr/kde/svn/share/wallpapers/Curls_on_Green/contents/images/1440x900.jpg"                                   
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                                
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -44)                                                                                    
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                                
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -45)                                                                                    
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? true                                                                     
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                        
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? false                                                                    
plasma(6512)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                        
plasma(6512) Panel::constraintsEvent: constraints updated with 15 !!!!!!                  
plasma(6512) Panel::constraintsEvent: constraints updated with 2 !!!!!!                   
plasma(6512) SystemTray::updateWidgetGeometry: Problem view is NULL                       
plasma(6512) SystemTray::updateWidgetGeometry: Problem view is NULL
plasma(6512) PlasmaApp::createView: Containment name: "Desktop" | type 0 | screen: 0 | geometry: QRectF(0,0 1440x900) | zValue: 0
plasma(6512) PlasmaApp::createView: creating a view for 0 and we have 1 screens
plasma(6512)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 1440x900) associated screen is 0
plasma(6512) HddTemp::updateData: "Protocol type not supported"
QLayout: Attempting to add QLayout "" to Plasma::Dialog "", which already has a layout
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 18 (X_ChangeProperty)
  Resource id:  0x1600029
plasma(6512) Clock::init: showTimezone: false
plasma(6512) Panel::constraintsEvent: constraints updated with 32 !!!!!!
plasma(6512) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150
plasma(6512)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,-45 1440x39) associated screen is 0
plasma(6512) PanelView::PanelView: Panel geometry is QRectF(0,-45 1440x39)
plasma(6512) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
plasma(6512) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
plasma(6512) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
plasma(6512) SystemTrayContainer::embedSystemTrayClient: attempting to embed 35652073

(gdb) quit
Comment 3 FiNeX 2008-06-19 17:20:03 UTC
The point is that it could be more useful if the package is build with the "debug" symbols....
Comment 4 x.para 2008-06-19 19:19:17 UTC
Yes, this is already done and outputs are in my previous post. First post did not have it yet. This is true :)
Comment 5 Sebastian Sauer 2008-06-20 04:41:39 UTC
> plasma(6500) SystemTray::updateWidgetGeometry: Problem view is NULL
...
> plasma(6500) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150                    

wow. that explains the crash reported at bug #164320 and fixed with r821590. The panel got created AFTER plasmoids that are embedded there.

since it seems that's the case for systray+clock, we now have also to deal with "crash on plasmoid close" cases during the startup plus I wouldn't wonder if there are quit some plasmoids that assume they have a valid view/containment...
Comment 6 Sebastian Sauer 2008-06-20 05:25:43 UTC
x.para:

could you please try to edit your ~/.kde4/share/config/plasma-appletsrc (but backup before) and remove there those [...]-section that contains the plugin=systemtray and look if it still crashes?
Comment 7 Sebastian Sauer 2008-06-20 05:41:42 UTC
uhm... guess I could really need some help with the SystemTray plasmoid since even after reviewing it last days there are still fundamental bugs within it.

Just yet discovered;
SystemTray::updateWidgetGeometry calls SystemTray::updateWidgetOrientation() which calls SystemTrayWidget::setOrientation() that calls SystemTrayWidget::relayoutContainers() which emits sizeShouldChange() which does call SystemTray::updateWidgetGeometry() again...
Comment 8 Sebastian Sauer 2008-06-20 05:54:47 UTC
added Jason to the CC-list cause him is probably most aware of that codebase ;)

may it be possible that this is another regression of http://bugs.kde.org/show_bug.cgi?id=155381#c37 ( another cause of bug #164320 )?
Comment 9 x.para 2008-06-20 09:08:50 UTC
Sebastian Sauer

I removed 

[Containments][2][Applets][7]
geometry=1269,4,77,35
immutability=1
plugin=systemtray
zvalue=0

but same crashes.

Log attached.

gdb /usr/kde/svn/bin/plasma
GNU gdb 6.7.1                                 
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.           
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"   
and "show warranty" for details.                                             
This GDB was configured as "i686-pc-linux-gnu"...                            
(no debugging symbols found)                                                 
Using host libthread_db library "/lib/libthread_db.so.1".                    
(gdb) run                                                                    
Starting program: /usr/kde/svn/bin/plasma                                    
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
---Type <return> to continue, or q <return> to quit---                       
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
[Thread debugging using libthread_db enabled]                                
[New Thread 0xb46deb00 (LWP 15921)]                                          
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
---Type <return> to continue, or q <return> to quit---                       
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
(no debugging symbols found)                                                 
<unknown program name>(15921)/ checkComposite: Plasma has an argb visual 0x805e650 23068673                                                                                     
<unknown program name>(15921)/ checkComposite: Plasma can use COMPOSITE for effects on 0x8058858                                                                                
plasma(15924) PlasmaApp::PlasmaApp: Setting the pixmap cache size to 9050 kilobytes     
plasma(15924) DefaultDesktop::reloadConfig: Using configured wallpaper "/usr/kde/svn/share/wallpapers/Curls_on_Green/contents/images/1440x900.jpg"                              
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                           
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -44)                                                                               
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                           
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -45)                                                                               
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? true                                                                
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                   
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? false                                                               
plasma(15924)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                   
plasma(15924) Panel::constraintsEvent: constraints updated with 15 !!!!!!               
plasma(15924) Panel::constraintsEvent: constraints updated with 2 !!!!!!                

plasma(15924) PlasmaApp::createView: Containment name: "Desktop" | type 0 | screen: 0 | geometry: QRectF(0,0 1440x900) | zValue: 0                                              
plasma(15924) PlasmaApp::createView: creating a view for 0 and we have 1 screens        
plasma(15924)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 1440x900) associated screen is 0                         
plasma(15924) HddTemp::updateData: "Protocol type not supported"                        
QLayout: Attempting to add QLayout "" to Plasma::Dialog "", which already has a layout  
X Error: BadWindow (invalid Window parameter) 3                                         
  Major opcode: 18 (X_ChangeProperty)                                                   
  Resource id:  0x1600029                                                               
plasma(15924) Clock::init: showTimezone: false                                          
plasma(15924) Panel::constraintsEvent: constraints updated with 32 !!!!!!               
plasma(15924) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150                                             
plasma(15924)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,-45 1440x39) associated screen is 0                        
plasma(15924) PanelView::PanelView: Panel geometry is QRectF(0,-45 1440x39)             
plasma(15924) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0              
plasma(15924) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0              
plasma(15924) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0              

Program exited normally.
(gdb)                   
(gdb) Plasma crashed, attempting to automatically recover
KCrash: Application 'plasma' crashing...                 
sock_file=/home/ondrej3/.kde/socket-stable/kdeinit4__0   
<unknown program name>(15934)/ checkComposite: Plasma has an argb visual 0x805e650 48234497                                                                                     
<unknown program name>(15934)/ checkComposite: Plasma can use COMPOSITE for effects on 0x8058858                                                                                
plasma(15936) PlasmaApp::PlasmaApp: Setting the pixmap cache size to 9050 kilobytes     
plasma(15936) DefaultDesktop::reloadConfig: Using configured wallpaper "/usr/kde/svn/share/wallpapers/Curls_on_Green/contents/images/1440x900.jpg"                              
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                           
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -44)                                                                               
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: positioning non- horizontal panel; forced? false                                                           
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(11446, -45)                                                                               
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? true                                                                
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                   
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: positioning  horizontal panel; forced? false                                                               
plasma(15936)/libplasma Plasma::Containment::Private::positionPanel: moved to QPointF(0, -45)                                                                                   
plasma(15936) Panel::constraintsEvent: constraints updated with 15 !!!!!!               
plasma(15936) Panel::constraintsEvent: constraints updated with 2 !!!!!!                
plasma(15936) PlasmaApp::createView: Containment name: "Desktop" | type 0 | screen: 0 | geometry: QRectF(0,0 1440x900) | zValue: 0                                              
plasma(15936) PlasmaApp::createView: creating a view for 0 and we have 1 screens        
plasma(15936)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 1440x900) associated screen is 0                         
plasma(15936) HddTemp::updateData: "Protocol type not supported"                        
QLayout: Attempting to add QLayout "" to Plasma::Dialog "", which already has a layout  
X Error: BadWindow (invalid Window parameter) 3                                         
  Major opcode: 18 (X_ChangeProperty)                                                   
  Resource id:  0x2e00029                                                               
X Error: BadWindow (invalid Window parameter) 3                                         
  Major opcode: 20 (X_GetProperty)                                                      
  Resource id:  0x1600001                                                               
X Error: BadWindow (invalid Window parameter) 3                                         
  Major opcode: 20 (X_GetProperty)                                                      
  Resource id:  0x1600001
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x1600001
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x1600001
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 15 (X_QueryTree)
  Resource id:  0x1600001
plasma(15936) Clock::init: showTimezone: false
plasma(15936) Panel::constraintsEvent: constraints updated with 32 !!!!!!
plasma(15936) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150
plasma(15936)/libplasma Plasma::View::Private::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,-45 1440x39) associated screen is 0
plasma(15936) PanelView::PanelView: Panel geometry is QRectF(0,-45 1440x39)
plasma(15936) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
plasma(15936) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
plasma(15936) PanelView::updateStruts: screen l/r/b/t offsets are: 0 0 0 0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 18 (X_ChangeProperty)
  Resource id:  0x1600001

(gdb)

Comment 10 x.para 2008-06-20 09:44:44 UTC
... but removing complete ~/.kde4/share/config/plasma-appletsrc makes it work again.
Comment 11 Bram Schoenmakers 2008-06-20 16:17:05 UTC
Do you still have the plasma-appletsrc file somewhere around, and if yes, can you attach it here?
Comment 12 x.para 2008-06-20 17:53:29 UTC
Created attachment 25479 [details]
plasma-appletsrc

Yap, here we go. Original one.
Comment 13 Sebastian Sauer 2008-06-21 00:50:58 UTC
ah, great to hear that this time it isn't the systray :)

So, another guess, may you like to try to remove the;

[Containments][1][Applets][13]
geometry=26.2420365077238,19.0168017443943,71,47.9663965112111
immutability=1
plugin=binaryclock
zvalue=37

section and look if that helps? if it does, then you did run into bug #164387 (please mark your bug as duplicate of the other then) else we would need a real backtrace like e.g. those one from bug #164387 to identify the prob.
Comment 14 Jason Stubbs 2008-06-21 06:53:17 UTC
No idea where the problem is on this bug. Really need a proper backtrace.

> plasma(6500) SystemTray::updateWidgetGeometry: Problem view is NULL 
 ... 
> plasma(6500) PlasmaApp::createView: Containment name: "Panel" | type 1 | screen: 0 | geometry: QRectF(0,-45 1440x39) | zValue: 150

This is only a problem if the system tray doesn't get any move or size events after the view is created (which doesn't seem to happen but is theoretically possible). It wouldn't cause a crash though. The system tray would just not show any icons.
Comment 15 x.para 2008-06-21 18:27:24 UTC
Yes, to remove this section makes it works.

[Containments][1][Applets][13]
geometry=26.2420365077238,19.0168017443943,71,47.9663965112111
immutability=1
plugin=binaryclock
zvalue=37 

confirmed
Comment 16 Sebastian Sauer 2008-06-21 21:07:12 UTC
So, it's a duplicate of bug #164387 which was fixed yesterday. Thank you very much for your feedback x.para.

@Jason
ah, that would explain the second half of bug #164445. Thanks too :)


*** This bug has been marked as a duplicate of 164387 ***
Comment 17 Sebastian Sauer 2008-06-27 00:12:07 UTC
for readers who are running into this report, at my prev comment #16 I was refering to bug #164320